[ Maverik Level 2 functions ]

#

mav_SMSIntersectLineAll

## Summary

Intersect all SMSs with a line.

## Syntax

int mav_SMSIntersectLineAll(MAV_window *w, MAV_line ln, MAV_objectIntersection *oi, MAV_object **o);

- MAV_window *w
  Window.

- MAV_line ln
  Line for intersection test.

- MAV_objectIntersection *oi
  Intersection point (if any)

- MAV_object **o
  Intersection object (if any)

## Description

The function intersects all objects in all SMSs with line `ln`. If an intersection is detected, the function returns MAV_TRUE, otherwise MAV_FALSE. The closest intersection point is returned in `oi`, and a pointer to the intersecting object in `o`.

Back to the index page.